<?php
namespace OrganizationsManagement\Controller;
use OrganizationsManagement\Util\InstanceProvider;
use OrganizationsManagement\Util\Utilities;
use Zeedhi\Framework\Controller\Simple;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DataSource;
use OrganizationsManagement\Service;

class SendAlertSla extends Simple {

    public function sendAlertSla(DTO\Request $request, DTO\Response $response)
    {
        try {
            $sendAlertSla = InstanceProvider::getService()->getSendAlertSla();
            $sendAlertSla->sendAlertSla();

        } catch (\Exception $ex) {
            $response->addMessage(new DTO\Response\Message($ex->getMessage()));
        }
    }
}
