<?php
namespace OrganizationsManagement\Factory;
use Teknisa\Model\Teknisa\Entities\ItemorcaprodFctItemorcamento as EntityItemorcaprodFctItemorcamento;
use Teknisa\Model\Util\NovoCodigo as NovoCodigo;

class ItemorcaprodFctItemorcamento 
{
    
    public function save(EntityItemorcaprodFctItemorcamento $entityItemorcaprodFctItemorcamento = null, $cdservorca, $cditorcaprod, $dtinclusao, $cdoperinclusao, $nrorg)
    {
        if ($entityItemorcaprodFctItemorcamento === null) {
            $novoCodigo = NovoCodigo::geraCodigo($nrorg, "ITEMORCAPROD_FCT_ITEMORCAMENTO", 1, 10, false, false);
            $entityItemorcaprodFctItemorcamento = new EntityItemorcaprodFctItemorcamento();
            $entityItemorcaprodFctItemorcamento->setId($novoCodigo);
            $entityItemorcaprodFctItemorcamento->setDtinclusao($dtinclusao);
            $entityItemorcaprodFctItemorcamento->setNrorginclusao($nrorg);
            $entityItemorcaprodFctItemorcamento->setCdoperinclusao($cdoperinclusao);
        }
        
        $entityItemorcaprodFctItemorcamento->setNrorg($nrorg);
        $entityItemorcaprodFctItemorcamento->setDtultatu($dtinclusao);
        $entityItemorcaprodFctItemorcamento->setNrorgultatu($nrorg);
        $entityItemorcaprodFctItemorcamento->setCdoperultatu($cdoperinclusao);
        $entityItemorcaprodFctItemorcamento->setCditorcaprod($cditorcaprod);
        $entityItemorcaprodFctItemorcamento->setCdservorca($cdservorca);
        return $entityItemorcaprodFctItemorcamento;
    }
} 