<?php
namespace OrganizationsManagement\Factory;
use Teknisa\Model\Geral\Entities\Operador as EntidadeOperador;

class Operador {
    public function __construct(){}
    public function cria(
        $nrorg, $nrorgtrab, $nrestruttrab, $cdoperador, $nmoperador, $dsemailoper,
        $nmacesso, $cdsenhaoperweb, $cdsenhoper,
        $cdpais, $sgestado, $cdmunicipio,
        $idatuoperador, $dtinclusao, $idcadpraprovore, $idcadprproceore, $nrparcnegocio,
        $cdoperinclusao, $nrorginclusao
    ){
        $e = new EntidadeOperador();

        $e->setNrorg($nrorg);
        $e->setNrorgtrab($nrorgtrab);
        $e->setNrestruttrab($nrestruttrab);
        $e->setCdoperador($cdoperador);
        $e->setDsemailoper($dsemailoper);
        $e->setNmacesso($nmacesso);
        $e->setNmoperador($nmoperador);
        $e->setCdsenhaoperweb($cdsenhaoperweb);
        $e->setCdsenhoper($cdsenhoper);

        $e->setCdpais($cdpais);
        $e->setSgestado($sgestado);
        $e->setCdmunicipio($cdmunicipio);

        $e->setIdatuoperador($idatuoperador);
        $e->setDtinclusao($dtinclusao);
        $e->setIdcadpraprovore($idcadpraprovore);
        $e->setIdcadprproceore($idcadprproceore);
        $e->setNrparcnegocio($nrparcnegocio);
        $e->setIdtpoperador('C');

        $e->setCdoperinclusao($cdoperinclusao);
        $e->setNrorginclusao($nrorginclusao);

        return $e;
    }

    public function criaOperadorCP (
        $nrorg, $cdcliente, $cdsenhaoperweb, $cdoperador, $nmoperador, $dsemailoper,
        $dtinclusao, $cdoperinclusao, $nrorginclusao, $nrparcnegocio, $idopersaas = 'N', $idativo = 'S',
        $nmacesso = null
    ){
        $e = new EntidadeOperador();

        $e->setCdcliente($cdcliente);
        $e->setCdsenhaoperweb($cdsenhaoperweb);
        $e->setNrorg($nrorg);
        $e->setCdoperador($cdoperador);
        $e->setDsemailoper($dsemailoper);
        $e->setNmoperador($nmoperador);
        $e->setNrparcnegocio($nrparcnegocio);
        $e->setIdativo($idativo);
        $e->setIdopersaas($idopersaas);
        $e->setNmacesso($nmacesso);

        $e->setDtinclusao($dtinclusao);
        $e->setDtultatu($dtinclusao);
        $e->setCdoperinclusao($cdoperinclusao);
        $e->setCdoperultatu($cdoperinclusao);
        $e->setNrorginclusao($nrorginclusao);
        $e->setNrorgultatu($nrorginclusao);
        $e->setIdtpoperador('C');

        return $e;
    }
} 